# Interface Constants

All Known Implementing Classes:
  `Class2HTML, CodeException, LocalVariable, Pass2Verifier, UninitializedObjectType`

@Deprecated public interface Constants
Deprecated.
(since 6.0) DO NOT USE - use `Const` instead.
Constants for the project, mostly defined in the JVM specification.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final short`
  `AALOAD`
  Deprecated.
  Java VM opcode.
  `static final short`
  `AASTORE`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ACC_ABSTRACT`
  Deprecated.
  One of the access flags for fields, methods, or classes.
  `static final short`
  `ACC_ANNOTATION`
  Deprecated.
  One of the access flags for fields, methods, or classes.
  `static final short`
  `ACC_BRIDGE`
  Deprecated.
  One of the access flags for fields, methods, or classes.
  `static final short`
  `ACC_ENUM`
  Deprecated.
  One of the access flags for fields, methods, or classes.
  `static final short`
  `ACC_FINAL`
  Deprecated.
  One of the access flags for fields, methods, or classes.
  `static final short`
  `ACC_INTERFACE`
  Deprecated.
  One of the access flags for fields, methods, or classes.
  `static final short`
  `ACC_NATIVE`
  Deprecated.
  One of the access flags for fields, methods, or classes.
  `static final short`
  `ACC_PRIVATE`
  Deprecated.
  One of the access flags for fields, methods, or classes.
  `static final short`
  `ACC_PROTECTED`
  Deprecated.
  One of the access flags for fields, methods, or classes.
  `static final short`
  `ACC_PUBLIC`
  Deprecated.
  One of the access flags for fields, methods, or classes.
  `static final short`
  `ACC_STATIC`
  Deprecated.
  One of the access flags for fields, methods, or classes.
  `static final short`
  `ACC_STRICT`
  Deprecated.
  One of the access flags for fields, methods, or classes.
  `static final short`
  `ACC_SUPER`
  Deprecated.
  One of the access flags for fields, methods, or classes.
  `static final short`
  `ACC_SYNCHRONIZED`
  Deprecated.
  One of the access flags for fields, methods, or classes.
  `static final short`
  `ACC_SYNTHETIC`
  Deprecated.
  One of the access flags for fields, methods, or classes.
  `static final short`
  `ACC_TRANSIENT`
  Deprecated.
  One of the access flags for fields, methods, or classes.
  `static final short`
  `ACC_VARARGS`
  Deprecated.
  One of the access flags for fields, methods, or classes.
  `static final short`
  `ACC_VOLATILE`
  Deprecated.
  One of the access flags for fields, methods, or classes.
  `static final String[]`
  `ACCESS_NAMES`
  Deprecated.
  The names of the access flags.
  `static final short`
  `ACONST_NULL`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ALOAD`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ALOAD_0`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ALOAD_1`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ALOAD_2`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ALOAD_3`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ANEWARRAY`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ANEWARRAY_QUICK`
  Deprecated.
  JVM internal opcode.
  `static final short`
  `ARETURN`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ARRAYLENGTH`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ASTORE`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ASTORE_0`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ASTORE_1`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ASTORE_2`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ASTORE_3`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ATHROW`
  Deprecated.
  Java VM opcode.
  `static final byte`
  `ATTR_ANNOTATION_DEFAULT`
  Deprecated.
  Attribute constant for annotation default.
  `static final byte`
  `ATTR_CODE`
  Deprecated.
  Attribute constant: Code.
  `static final byte`
  `ATTR_CONSTANT_VALUE`
  Deprecated.
  Attribute constant: ConstantValue.
  `static final byte`
  `ATTR_DEPRECATED`
  Deprecated.
  Attribute constant: Deprecated.
  `static final byte`
  `ATTR_EXCEPTIONS`
  Deprecated.
  Attribute constant: Exceptions.
  `static final byte`
  `ATTR_INNER_CLASSES`
  Deprecated.
  Attribute constant: InnerClasses.
  `static final byte`
  `ATTR_LINE_NUMBER_TABLE`
  Deprecated.
  Attribute constant: LineNumberTable.
  `static final byte`
  `ATTR_LOCAL_VARIABLE_TABLE`
  Deprecated.
  Attribute constant: LocalVariableTable.
  `static final byte`
  `ATTR_PMG`
  Deprecated.
  Attribute constant: PMG.
  `static final byte`
  `ATTR_RUNTIMEINVISIBLE_ANNOTATIONS`
  Deprecated.
  Attribute constant for runtime invisible annotations.
  `static final byte`
  `ATTR_RUNTIMEINVISIBLE_PARAMETER_ANNOTATIONS`
  Deprecated.
  Attribute constant for runtime invisible parameter annotations.
  `static final byte`
  `ATTR_RUNTIMEVISIBLE_ANNOTATIONS`
  Deprecated.
  Attribute constant for runtime visible annotations.
  `static final byte`
  `ATTR_RUNTIMEVISIBLE_PARAMETER_ANNOTATIONS`
  Deprecated.
  Attribute constant for runtime visible parameter annotations.
  `static final byte`
  `ATTR_SIGNATURE`
  Deprecated.
  Attribute constant: Signature.
  `static final byte`
  `ATTR_SOURCE_FILE`
  Deprecated.
  Attribute constant: SourceFile.
  `static final byte`
  `ATTR_STACK_MAP`
  Deprecated.
  Attribute constant: StackMap.
  `static final byte`
  `ATTR_SYNTHETIC`
  Deprecated.
  Attribute constant: Synthetic.
  `static final byte`
  `ATTR_UNKNOWN`
  Deprecated.
  Attribute constant: Unknown.
  `static final String[]`
  `ATTRIBUTE_NAMES`
  Deprecated.
  Array of attribute names.
  `static final short`
  `BALOAD`
  Deprecated.
  Java VM opcode.
  `static final short`
  `BASTORE`
  Deprecated.
  Java VM opcode.
  `static final short`
  `BIPUSH`
  Deprecated.
  Java VM opcode.
  `static final short`
  `BREAKPOINT`
  Deprecated.
  JVM internal opcode.
  `static final short`
  `CALOAD`
  Deprecated.
  Java VM opcode.
  `static final short`
  `CASTORE`
  Deprecated.
  Java VM opcode.
  `static final short`
  `CHECKCAST`
  Deprecated.
  Java VM opcode.
  `static final short`
  `CHECKCAST_QUICK`
  Deprecated.
  JVM internal opcode.
  `static final String[]`
  `CLASS_TYPE_NAMES`
  Deprecated.
  The primitive class names corresponding to the T_XX constants, for example, CLASS_TYPE_NAMES[T_INT] = "java.lang.Integer"
  `static final byte`
  `CONSTANT_Class`
  Deprecated.
  Marks a constant pool entry as a Class.
  `static final byte`
  `CONSTANT_Double`
  Deprecated.
  Marks a constant pool entry as type Double.
  `static final byte`
  `CONSTANT_Fieldref`
  Deprecated.
  Marks a constant pool entry as a Field Reference.
  `static final byte`
  `CONSTANT_Float`
  Deprecated.
  Marks a constant pool entry as type Float.
  `static final byte`
  `CONSTANT_Integer`
  Deprecated.
  Marks a constant pool entry as type Integer.
  `static final byte`
  `CONSTANT_InterfaceMethodref`
  Deprecated.
  Marks a constant pool entry as an Interface Method Reference.
  `static final byte`
  `CONSTANT_Long`
  Deprecated.
  Marks a constant pool entry as type Long.
  `static final byte`
  `CONSTANT_Methodref`
  Deprecated.
  Marks a constant pool entry as a Method Reference.
  `static final byte`
  `CONSTANT_NameAndType`
  Deprecated.
  Marks a constant pool entry as a name and type.
  `static final String[]`
  `CONSTANT_NAMES`
  Deprecated.
  The names of the types of entries in a constant pool.
  `static final byte`
  `CONSTANT_String`
  Deprecated.
  Marks a constant pool entry as type String.
  `static final byte`
  `CONSTANT_Utf8`
  Deprecated.
  Marks a constant pool entry as type UTF-8.
  `static final String`
  `CONSTRUCTOR_NAME`
  Deprecated.
  The name of every constructor method in a class, also called "instance initialization method".
  `static final int[]`
  `CONSUME_STACK`
  Deprecated.
  Number of words consumed on operand stack by instructions.
  `static final short`
  `D2F`
  Deprecated.
  Java VM opcode.
  `static final short`
  `D2I`
  Deprecated.
  Java VM opcode.
  `static final short`
  `D2L`
  Deprecated.
  Java VM opcode.
  `static final short`
  `DADD`
  Deprecated.
  Java VM opcode.
  `static final short`
  `DALOAD`
  Deprecated.
  Java VM opcode.
  `static final short`
  `DASTORE`
  Deprecated.
  Java VM opcode.
  `static final short`
  `DCMPG`
  Deprecated.
  Java VM opcode.
  `static final short`
  `DCMPL`
  Deprecated.
  Java VM opcode.
  `static final short`
  `DCONST_0`
  Deprecated.
  Java VM opcode.
  `static final short`
  `DCONST_1`
  Deprecated.
  Java VM opcode.
  `static final short`
  `DDIV`
  Deprecated.
  Java VM opcode.
  `static final short`
  `DLOAD`
  Deprecated.
  Java VM opcode.
  `static final short`
  `DLOAD_0`
  Deprecated.
  Java VM opcode.
  `static final short`
  `DLOAD_1`
  Deprecated.
  Java VM opcode.
  `static final short`
  `DLOAD_2`
  Deprecated.
  Java VM opcode.
  `static final short`
  `DLOAD_3`
  Deprecated.
  Java VM opcode.
  `static final short`
  `DMUL`
  Deprecated.
  Java VM opcode.
  `static final short`
  `DNEG`
  Deprecated.
  Java VM opcode.
  `static final short`
  `DREM`
  Deprecated.
  Java VM opcode.
  `static final short`
  `DRETURN`
  Deprecated.
  Java VM opcode.
  `static final short`
  `DSTORE`
  Deprecated.
  Java VM opcode.
  `static final short`
  `DSTORE_0`
  Deprecated.
  Java VM opcode.
  `static final short`
  `DSTORE_1`
  Deprecated.
  Java VM opcode.
  `static final short`
  `DSTORE_2`
  Deprecated.
  Java VM opcode.
  `static final short`
  `DSTORE_3`
  Deprecated.
  Java VM opcode.
  `static final short`
  `DSUB`
  Deprecated.
  Java VM opcode.
  `static final short`
  `DUP`
  Deprecated.
  Java VM opcode.
  `static final short`
  `DUP_X1`
  Deprecated.
  Java VM opcode.
  `static final short`
  `DUP_X2`
  Deprecated.
  Java VM opcode.
  `static final short`
  `DUP2`
  Deprecated.
  Java VM opcode.
  `static final short`
  `DUP2_X1`
  Deprecated.
  Java VM opcode.
  `static final short`
  `DUP2_X2`
  Deprecated.
  Java VM opcode.
  `static final short`
  `F2D`
  Deprecated.
  Java VM opcode.
  `static final short`
  `F2I`
  Deprecated.
  Java VM opcode.
  `static final short`
  `F2L`
  Deprecated.
  Java VM opcode.
  `static final short`
  `FADD`
  Deprecated.
  Java VM opcode.
  `static final short`
  `FALOAD`
  Deprecated.
  Java VM opcode.
  `static final short`
  `FASTORE`
  Deprecated.
  Java VM opcode.
  `static final short`
  `FCMPG`
  Deprecated.
  Java VM opcode.
  `static final short`
  `FCMPL`
  Deprecated.
  Java VM opcode.
  `static final short`
  `FCONST_0`
  Deprecated.
  Java VM opcode.
  `static final short`
  `FCONST_1`
  Deprecated.
  Java VM opcode.
  `static final short`
  `FCONST_2`
  Deprecated.
  Java VM opcode.
  `static final short`
  `FDIV`
  Deprecated.
  Java VM opcode.
  `static final short`
  `FLOAD`
  Deprecated.
  Java VM opcode.
  `static final short`
  `FLOAD_0`
  Deprecated.
  Java VM opcode.
  `static final short`
  `FLOAD_1`
  Deprecated.
  Java VM opcode.
  `static final short`
  `FLOAD_2`
  Deprecated.
  Java VM opcode.
  `static final short`
  `FLOAD_3`
  Deprecated.
  Java VM opcode.
  `static final short`
  `FMUL`
  Deprecated.
  Java VM opcode.
  `static final short`
  `FNEG`
  Deprecated.
  Java VM opcode.
  `static final short`
  `FREM`
  Deprecated.
  Java VM opcode.
  `static final short`
  `FRETURN`
  Deprecated.
  Java VM opcode.
  `static final short`
  `FSTORE`
  Deprecated.
  Java VM opcode.
  `static final short`
  `FSTORE_0`
  Deprecated.
  Java VM opcode.
  `static final short`
  `FSTORE_1`
  Deprecated.
  Java VM opcode.
  `static final short`
  `FSTORE_2`
  Deprecated.
  Java VM opcode.
  `static final short`
  `FSTORE_3`
  Deprecated.
  Java VM opcode.
  `static final short`
  `FSUB`
  Deprecated.
  Java VM opcode.
  `static final short`
  `GETFIELD`
  Deprecated.
  Java VM opcode.
  `static final short`
  `GETFIELD_QUICK`
  Deprecated.
  JVM internal opcode.
  `static final short`
  `GETFIELD_QUICK_W`
  Deprecated.
  JVM internal opcode.
  `static final short`
  `GETFIELD2_QUICK`
  Deprecated.
  JVM internal opcode.
  `static final short`
  `GETSTATIC`
  Deprecated.
  Java VM opcode.
  `static final short`
  `GETSTATIC_QUICK`
  Deprecated.
  JVM internal opcode.
  `static final short`
  `GETSTATIC2_QUICK`
  Deprecated.
  JVM internal opcode.
  `static final short`
  `GOTO`
  Deprecated.
  Java VM opcode.
  `static final short`
  `GOTO_W`
  Deprecated.
  Java VM opcode.
  `static final short`
  `I2B`
  Deprecated.
  Java VM opcode.
  `static final short`
  `I2C`
  Deprecated.
  Java VM opcode.
  `static final short`
  `I2D`
  Deprecated.
  Java VM opcode.
  `static final short`
  `I2F`
  Deprecated.
  Java VM opcode.
  `static final short`
  `I2L`
  Deprecated.
  Java VM opcode.
  `static final short`
  `I2S`
  Deprecated.
  Java VM opcode.
  `static final short`
  `IADD`
  Deprecated.
  Java VM opcode.
  `static final short`
  `IALOAD`
  Deprecated.
  Java VM opcode.
  `static final short`
  `IAND`
  Deprecated.
  Java VM opcode.
  `static final short`
  `IASTORE`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ICONST_0`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ICONST_1`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ICONST_2`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ICONST_3`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ICONST_4`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ICONST_5`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ICONST_M1`
  Deprecated.
  Java VM opcode.
  `static final short`
  `IDIV`
  Deprecated.
  Java VM opcode.
  `static final short`
  `IF_ACMPEQ`
  Deprecated.
  Java VM opcode.
  `static final short`
  `IF_ACMPNE`
  Deprecated.
  Java VM opcode.
  `static final short`
  `IF_ICMPEQ`
  Deprecated.
  Java VM opcode.
  `static final short`
  `IF_ICMPGE`
  Deprecated.
  Java VM opcode.
  `static final short`
  `IF_ICMPGT`
  Deprecated.
  Java VM opcode.
  `static final short`
  `IF_ICMPLE`
  Deprecated.
  Java VM opcode.
  `static final short`
  `IF_ICMPLT`
  Deprecated.
  Java VM opcode.
  `static final short`
  `IF_ICMPNE`
  Deprecated.
  Java VM opcode.
  `static final short`
  `IFEQ`
  Deprecated.
  Java VM opcode.
  `static final short`
  `IFGE`
  Deprecated.
  Java VM opcode.
  `static final short`
  `IFGT`
  Deprecated.
  Java VM opcode.
  `static final short`
  `IFLE`
  Deprecated.
  Java VM opcode.
  `static final short`
  `IFLT`
  Deprecated.
  Java VM opcode.
  `static final short`
  `IFNE`
  Deprecated.
  Java VM opcode.
  `static final short`
  `IFNONNULL`
  Deprecated.
  Java VM opcode.
  `static final short`
  `IFNULL`
  Deprecated.
  Java VM opcode.
  `static final short`
  `IINC`
  Deprecated.
  Java VM opcode.
  `static final String`
  `ILLEGAL_OPCODE`
  Deprecated.
  Mnemonic for an illegal opcode.
  `static final String`
  `ILLEGAL_TYPE`
  Deprecated.
  Mnemonic for an illegal type.
  `static final short`
  `ILOAD`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ILOAD_0`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ILOAD_1`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ILOAD_2`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ILOAD_3`
  Deprecated.
  Java VM opcode.
  `static final short`
  `IMPDEP1`
  Deprecated.
  JVM internal opcode.
  `static final short`
  `IMPDEP2`
  Deprecated.
  JVM internal opcode.
  `static final short`
  `IMUL`
  Deprecated.
  Java VM opcode.
  `static final short`
  `INEG`
  Deprecated.
  Java VM opcode.
  `static final short`
  `INSTANCEOF`
  Deprecated.
  Java VM opcode.
  `static final short`
  `INSTANCEOF_QUICK`
  Deprecated.
  JVM internal opcode.
  `static final short`
  `INT2BYTE`
  Deprecated.
  Java VM opcode.
  `static final short`
  `INT2CHAR`
  Deprecated.
  Java VM opcode.
  `static final short`
  `INT2SHORT`
  Deprecated.
  Java VM opcode.
  `static final String[]`
  `INTERFACES_IMPLEMENTED_BY_ARRAYS`
  Deprecated.
  The names of the interfaces implemented by arrays
  `static final short`
  `INVOKEDYNAMIC`
  Deprecated.
  Java VM opcode.
  `static final short`
  `INVOKEINTERFACE`
  Deprecated.
  Java VM opcode.
  `static final short`
  `INVOKEINTERFACE_QUICK`
  Deprecated.
  JVM internal opcode.
  `static final short`
  `INVOKENONVIRTUAL`
  Deprecated.
  Java VM opcode.
  `static final short`
  `INVOKENONVIRTUAL_QUICK`
  Deprecated.
  JVM internal opcode.
  `static final short`
  `INVOKESPECIAL`
  Deprecated.
  Java VM opcode.
  `static final short`
  `INVOKESTATIC`
  Deprecated.
  Java VM opcode.
  `static final short`
  `INVOKESTATIC_QUICK`
  Deprecated.
  JVM internal opcode.
  `static final short`
  `INVOKESUPER_QUICK`
  Deprecated.
  JVM internal opcode.
  `static final short`
  `INVOKEVIRTUAL`
  Deprecated.
  Java VM opcode.
  `static final short`
  `INVOKEVIRTUAL_QUICK`
  Deprecated.
  JVM internal opcode.
  `static final short`
  `INVOKEVIRTUAL_QUICK_W`
  Deprecated.
  JVM internal opcode.
  `static final short`
  `INVOKEVIRTUALOBJECT_QUICK`
  Deprecated.
  JVM internal opcode.
  `static final short`
  `IOR`
  Deprecated.
  Java VM opcode.
  `static final short`
  `IREM`
  Deprecated.
  Java VM opcode.
  `static final short`
  `IRETURN`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ISHL`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ISHR`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ISTORE`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ISTORE_0`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ISTORE_1`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ISTORE_2`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ISTORE_3`
  Deprecated.
  Java VM opcode.
  `static final short`
  `ISUB`
  Deprecated.
  Java VM opcode.
  `static final byte`
  `ITEM_Bogus`
  Deprecated.
  Item type: Bogus.
  `static final byte`
  `ITEM_Double`
  Deprecated.
  Item type: Double.
  `static final byte`
  `ITEM_Float`
  Deprecated.
  Item type: Float.
  `static final byte`
  `ITEM_InitObject`
  Deprecated.
  Item type: InitObject.
  `static final byte`
  `ITEM_Integer`
  Deprecated.
  Item type: Integer.
  `static final byte`
  `ITEM_Long`
  Deprecated.
  Item type: Long.
  `static final String[]`
  `ITEM_NAMES`
  Deprecated.
  Array of item type names.
  `static final byte`
  `ITEM_NewObject`
  Deprecated.
  Item type: NewObject.
  `static final byte`
  `ITEM_Null`
  Deprecated.
  Item type: Null.
  `static final byte`
  `ITEM_Object`
  Deprecated.
  Item type: Object.
  `static final short`
  `IUSHR`
  Deprecated.
  Java VM opcode.
  `static final short`
  `IXOR`
  Deprecated.
  Java VM opcode.
  `static final short`
  `JSR`
  Deprecated.
  Java VM opcode.
  `static final short`
  `JSR_W`
  Deprecated.
  Java VM opcode.
  `static final short`
  `KNOWN_ATTRIBUTES`
  Deprecated.
  Count of known attributes.
  `static final short`
  `L2D`
  Deprecated.
  Java VM opcode.
  `static final short`
  `L2F`
  Deprecated.
  Java VM opcode.
  `static final short`
  `L2I`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LADD`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LALOAD`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LAND`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LASTORE`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LCMP`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LCONST_0`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LCONST_1`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LDC`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LDC_QUICK`
  Deprecated.
  JVM internal opcode.
  `static final short`
  `LDC_W`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LDC_W_QUICK`
  Deprecated.
  JVM internal opcode.
  `static final short`
  `LDC2_W`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LDC2_W_QUICK`
  Deprecated.
  JVM internal opcode.
  `static final short`
  `LDIV`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LLOAD`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LLOAD_0`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LLOAD_1`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LLOAD_2`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LLOAD_3`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LMUL`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LNEG`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LOOKUPSWITCH`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LOR`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LREM`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LRETURN`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LSHL`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LSHR`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LSTORE`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LSTORE_0`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LSTORE_1`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LSTORE_2`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LSTORE_3`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LSUB`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LUSHR`
  Deprecated.
  Java VM opcode.
  `static final short`
  `LXOR`
  Deprecated.
  Java VM opcode.
  `static final short`
  `MAJOR`
  Deprecated.
  Default major version number.
  `static final short`
  `MAJOR_1_1`
  Deprecated.
  Major version number of class files for Java 1.1.
  `static final short`
  `MAJOR_1_2`
  Deprecated.
  Major version number of class files for Java 1.2.
  `static final short`
  `MAJOR_1_3`
  Deprecated.
  Major version number of class files for Java 1.2.
  `static final short`
  `MAJOR_1_4`
  Deprecated.
  Major version number of class files for Java 1.3.
  `static final short`
  `MAJOR_1_5`
  Deprecated.
  Major version number of class files for Java 1.4.
  `static final short`
  `MAX_ACC_FLAG`
  Deprecated.
  One of the access flags for fields, methods, or classes.
  `static final int`
  `MAX_BYTE`
  Deprecated.
  Maximum value for an unsigned byte.
  `static final int`
  `MAX_CODE_SIZE`
  Deprecated.
  One of the limitations of the Java Virtual Machine.
  `static final int`
  `MAX_CP_ENTRIES`
  Deprecated.
  One of the limitations of the Java Virtual Machine.
  `static final int`
  `MAX_SHORT`
  Deprecated.
  Maximum value for an unsigned short.
  `static final short`
  `MINOR`
  Deprecated.
  Default major version number.
  `static final short`
  `MINOR_1_1`
  Deprecated.
  Minor version number of class files for Java 1.1.
  `static final short`
  `MINOR_1_2`
  Deprecated.
  Minor version number of class files for Java 1.2.
  `static final short`
  `MINOR_1_3`
  Deprecated.
  Minor version number of class files for Java 1.3.
  `static final short`
  `MINOR_1_4`
  Deprecated.
  Minor version number of class files for Java 1.4.
  `static final short`
  `MINOR_1_5`
  Deprecated.
  Minor version number of class files for Java 1.5.
  `static final short`
  `MONITORENTER`
  Deprecated.
  Java VM opcode.
  `static final short`
  `MONITOREXIT`
  Deprecated.
  Java VM opcode.
  `static final short`
  `MULTIANEWARRAY`
  Deprecated.
  Java VM opcode.
  `static final short`
  `MULTIANEWARRAY_QUICK`
  Deprecated.
  JVM internal opcode.
  `static final short`
  `NEW`
  Deprecated.
  Java VM opcode.
  `static final short`
  `NEW_QUICK`
  Deprecated.
  JVM internal opcode.
  `static final short`
  `NEWARRAY`
  Deprecated.
  Java VM opcode.
  `static final short[]`
  `NO_OF_OPERANDS`
  Deprecated.
  Number of byte code operands for each opcode, that is, number of bytes after the tag byte itself.
  `static final short`
  `NOP`
  Deprecated.
  Java VM opcode.
  `static final String[]`
  `OPCODE_NAMES`
  Deprecated.
  Names of opcodes.
  `static final short`
  `POP`
  Deprecated.
  Java VM opcode.
  `static final short`
  `POP2`
  Deprecated.
  Java VM opcode.
  `static final int[]`
  `PRODUCE_STACK`
  Deprecated.
  Number of words produced onto operand stack by instructions.
  `static final short`
  `PUSH`
  Deprecated.
  BCEL virtual instruction for pushing an arbitrary data type onto the stack.
  `static final short`
  `PUTFIELD`
  Deprecated.
  Java VM opcode.
  `static final short`
  `PUTFIELD_QUICK`
  Deprecated.
  JVM internal opcode.
  `static final short`
  `PUTFIELD_QUICK_W`
  Deprecated.
  JVM internal opcode.
  `static final short`
  `PUTFIELD2_QUICK`
  Deprecated.
  JVM internal opcode.
  `static final short`
  `PUTSTATIC`
  Deprecated.
  Java VM opcode.
  `static final short`
  `PUTSTATIC_QUICK`
  Deprecated.
  JVM internal opcode.
  `static final short`
  `PUTSTATIC2_QUICK`
  Deprecated.
  JVM internal opcode.
  `static final short`
  `RESERVED`
  Deprecated.
  Illegal opcode.
  `static final short`
  `RET`
  Deprecated.
  Java VM opcode.
  `static final short`
  `RETURN`
  Deprecated.
  Java VM opcode.
  `static final short`
  `SALOAD`
  Deprecated.
  Java VM opcode.
  `static final short`
  `SASTORE`
  Deprecated.
  Java VM opcode.
  `static final String[]`
  `SHORT_TYPE_NAMES`
  Deprecated.
  The signature characters corresponding to primitive types, for example, SHORT_TYPE_NAMES[T_INT] = "I"
  `static final short`
  `SIPUSH`
  Deprecated.
  Java VM opcode.
  `static final String`
  `STATIC_INITIALIZER_NAME`
  Deprecated.
  The name of the static initializer, also called "class initialization method" or "interface initialization method".
  `static final short`
  `SWAP`
  Deprecated.
  Java VM opcode.
  `static final short`
  `SWITCH`
  Deprecated.
  BCEL virtual instruction for either LOOKUPSWITCH or TABLESWITCH.
  `static final byte`
  `T_ADDRESS`
  Deprecated.
  Address data type.
  `static final byte`
  `T_ARRAY`
  Deprecated.
  Array data type.
  `static final byte`
  `T_BOOLEAN`
  Deprecated.
  Boolean data type.
  `static final byte`
  `T_BYTE`
  Deprecated.
  Byte data type.
  `static final byte`
  `T_CHAR`
  Deprecated.
  Char data type.
  `static final byte`
  `T_DOUBLE`
  Deprecated.
  Double data type.
  `static final byte`
  `T_FLOAT`
  Deprecated.
  Float data type.
  `static final byte`
  `T_INT`
  Deprecated.
  Int data type.
  `static final byte`
  `T_LONG`
  Deprecated.
  Long data type.
  `static final byte`
  `T_OBJECT`
  Deprecated.
  Object data type.
  `static final byte`
  `T_REFERENCE`
  Deprecated.
  Reference data type (deprecated).
  `static final byte`
  `T_SHORT`
  Deprecated.
  Short data type.
  `static final byte`
  `T_UNKNOWN`
  Deprecated.
  Unknown data type.
  `static final byte`
  `T_VOID`
  Deprecated.
  Void data type (non-standard).
  `static final short`
  `TABLESWITCH`
  Deprecated.
  Java VM opcode.
  `static final String[]`
  `TYPE_NAMES`
  Deprecated.
  The primitive type names corresponding to the T_XX constants, for example, TYPE_NAMES[T_INT] = "int"
  `static final short[][]`
  `TYPE_OF_OPERANDS`
  Deprecated.
  How the byte code operands are to be interpreted for each opcode.
  `static final short`
  `UNDEFINED`
  Deprecated.
  Illegal opcode.
  `static final short`
  `UNPREDICTABLE`
  Deprecated.
  Illegal opcode.
  `static final short`
  `WIDE`
  Deprecated.
  Java VM opcode.

- ## Field Details

  - ### MAJOR_1_1

    static final short MAJOR_1_1
    Deprecated.
    Major version number of class files for Java 1.1.
    See Also:
      - `MINOR_1_1`
      - Constant Field Values

  - ### MINOR_1_1

    static final short MINOR_1_1
    Deprecated.
    Minor version number of class files for Java 1.1.
    See Also:
      - `MAJOR_1_1`
      - Constant Field Values

  - ### MAJOR_1_2

    static final short MAJOR_1_2
    Deprecated.
    Major version number of class files for Java 1.2.
    See Also:
      - `MINOR_1_2`
      - Constant Field Values

  - ### MINOR_1_2

    static final short MINOR_1_2
    Deprecated.
    Minor version number of class files for Java 1.2.
    See Also:
      - `MAJOR_1_2`
      - Constant Field Values

  - ### MAJOR_1_3

    static final short MAJOR_1_3
    Deprecated.
    Major version number of class files for Java 1.2.
    See Also:
      - `MINOR_1_2`
      - Constant Field Values

  - ### MINOR_1_3

    static final short MINOR_1_3
    Deprecated.
    Minor version number of class files for Java 1.3.
    See Also:
      - `MAJOR_1_3`
      - Constant Field Values

  - ### MAJOR_1_4

    static final short MAJOR_1_4
    Deprecated.
    Major version number of class files for Java 1.3.
    See Also:
      - `MINOR_1_3`
      - Constant Field Values

  - ### MINOR_1_4

    static final short MINOR_1_4
    Deprecated.
    Minor version number of class files for Java 1.4.
    See Also:
      - `MAJOR_1_4`
      - Constant Field Values

  - ### MAJOR_1_5

    static final short MAJOR_1_5
    Deprecated.
    Major version number of class files for Java 1.4.
    See Also:
      - `MINOR_1_4`
      - Constant Field Values

  - ### MINOR_1_5

    static final short MINOR_1_5
    Deprecated.
    Minor version number of class files for Java 1.5.
    See Also:
      - `MAJOR_1_5`
      - Constant Field Values

  - ### MAJOR

    static final short MAJOR
    Deprecated.
    Default major version number. Class file is for Java 1.1.
    See Also:
      - `MAJOR_1_1`
      - Constant Field Values

  - ### MINOR

    static final short MINOR
    Deprecated.
    Default major version number. Class file is for Java 1.1.
    See Also:
      - `MAJOR_1_1`
      - Constant Field Values

  - ### MAX_SHORT

    static final int MAX_SHORT
    Deprecated.
    Maximum value for an unsigned short.
    See Also:
      - Constant Field Values

  - ### MAX_BYTE

    static final int MAX_BYTE
    Deprecated.
    Maximum value for an unsigned byte.
    See Also:
      - Constant Field Values

  - ### ACC_PUBLIC

    static final short ACC_PUBLIC
    Deprecated.
    One of the access flags for fields, methods, or classes.
    See Also:
      - Flag definitions for Fields in the Java Virtual Machine Specification (Java SE 8 Edition).
      - Flag definitions for Methods in the Java Virtual Machine Specification (Java SE 8 Edition).
      - Flag definitions for Classes in the Java Virtual Machine Specification (Java SE 8 Edition).
      - Constant Field Values

  - ### ACC_PRIVATE

    static final short ACC_PRIVATE
    Deprecated.
    One of the access flags for fields, methods, or classes.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_PROTECTED

    static final short ACC_PROTECTED
    Deprecated.
    One of the access flags for fields, methods, or classes.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_STATIC

    static final short ACC_STATIC
    Deprecated.
    One of the access flags for fields, methods, or classes.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_FINAL

    static final short ACC_FINAL
    Deprecated.
    One of the access flags for fields, methods, or classes.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_SYNCHRONIZED

    static final short ACC_SYNCHRONIZED
    Deprecated.
    One of the access flags for fields, methods, or classes.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_VOLATILE

    static final short ACC_VOLATILE
    Deprecated.
    One of the access flags for fields, methods, or classes.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_BRIDGE

    static final short ACC_BRIDGE
    Deprecated.
    One of the access flags for fields, methods, or classes.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_TRANSIENT

    static final short ACC_TRANSIENT
    Deprecated.
    One of the access flags for fields, methods, or classes.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_VARARGS

    static final short ACC_VARARGS
    Deprecated.
    One of the access flags for fields, methods, or classes.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_NATIVE

    static final short ACC_NATIVE
    Deprecated.
    One of the access flags for fields, methods, or classes.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_INTERFACE

    static final short ACC_INTERFACE
    Deprecated.
    One of the access flags for fields, methods, or classes.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_ABSTRACT

    static final short ACC_ABSTRACT
    Deprecated.
    One of the access flags for fields, methods, or classes.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_STRICT

    static final short ACC_STRICT
    Deprecated.
    One of the access flags for fields, methods, or classes.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_SYNTHETIC

    static final short ACC_SYNTHETIC
    Deprecated.
    One of the access flags for fields, methods, or classes.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_ANNOTATION

    static final short ACC_ANNOTATION
    Deprecated.
    One of the access flags for fields, methods, or classes.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_ENUM

    static final short ACC_ENUM
    Deprecated.
    One of the access flags for fields, methods, or classes.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACC_SUPER

    static final short ACC_SUPER
    Deprecated.
    One of the access flags for fields, methods, or classes.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### MAX_ACC_FLAG

    static final short MAX_ACC_FLAG
    Deprecated.
    One of the access flags for fields, methods, or classes.
    See Also:
      - `ACC_PUBLIC`
      - Constant Field Values

  - ### ACCESS_NAMES

    static final String[] ACCESS_NAMES
    Deprecated.
    The names of the access flags.

  - ### CONSTANT_Utf8

    static final byte CONSTANT_Utf8
    Deprecated.
    Marks a constant pool entry as type UTF-8.
    See Also:
      - Constant Field Values

  - ### CONSTANT_Integer

    static final byte CONSTANT_Integer
    Deprecated.
    Marks a constant pool entry as type Integer.
    See Also:
      - Constant Field Values

  - ### CONSTANT_Float

    static final byte CONSTANT_Float
    Deprecated.
    Marks a constant pool entry as type Float.
    See Also:
      - Constant Field Values

  - ### CONSTANT_Long

    static final byte CONSTANT_Long
    Deprecated.
    Marks a constant pool entry as type Long.
    See Also:
      - Constant Field Values

  - ### CONSTANT_Double

    static final byte CONSTANT_Double
    Deprecated.
    Marks a constant pool entry as type Double.
    See Also:
      - Constant Field Values

  - ### CONSTANT_Class

    static final byte CONSTANT_Class
    Deprecated.
    Marks a constant pool entry as a Class.
    See Also:
      - Constant Field Values

  - ### CONSTANT_Fieldref

    static final byte CONSTANT_Fieldref
    Deprecated.
    Marks a constant pool entry as a Field Reference.
    See Also:
      - Constant Field Values

  - ### CONSTANT_String

    static final byte CONSTANT_String
    Deprecated.
    Marks a constant pool entry as type String.
    See Also:
      - Constant Field Values

  - ### CONSTANT_Methodref

    static final byte CONSTANT_Methodref
    Deprecated.
    Marks a constant pool entry as a Method Reference.
    See Also:
      - Constant Field Values

  - ### CONSTANT_InterfaceMethodref

    static final byte CONSTANT_InterfaceMethodref
    Deprecated.
    Marks a constant pool entry as an Interface Method Reference.
    See Also:
      - Constant Field Values

  - ### CONSTANT_NameAndType

    static final byte CONSTANT_NameAndType
    Deprecated.
    Marks a constant pool entry as a name and type.
    See Also:
      - Constant Field Values

  - ### CONSTANT_NAMES

    static final String[] CONSTANT_NAMES
    Deprecated.
    The names of the types of entries in a constant pool.

  - ### STATIC_INITIALIZER_NAME

    static final String STATIC_INITIALIZER_NAME
    Deprecated.
    The name of the static initializer, also called "class initialization method" or "interface initialization method". This is "<clinit>".
    See Also:
      - Constant Field Values

  - ### CONSTRUCTOR_NAME

    static final String CONSTRUCTOR_NAME
    Deprecated.
    The name of every constructor method in a class, also called "instance initialization method". This is "<init>".
    See Also:
      - Constant Field Values

  - ### INTERFACES_IMPLEMENTED_BY_ARRAYS

    static final String[] INTERFACES_IMPLEMENTED_BY_ARRAYS
    Deprecated.
    The names of the interfaces implemented by arrays

  - ### MAX_CP_ENTRIES

    static final int MAX_CP_ENTRIES
    Deprecated.
    One of the limitations of the Java Virtual Machine.
    See Also:
      - The Java Virtual Machine Specification, Second Edition, page 152, chapter 4.10.
      - Constant Field Values

  - ### MAX_CODE_SIZE

    static final int MAX_CODE_SIZE
    Deprecated.
    One of the limitations of the Java Virtual Machine.
    See Also:
      - The Java Virtual Machine Specification, Second Edition, page 152, chapter 4.10.
      - Constant Field Values

  - ### NOP

    static final short NOP
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ACONST_NULL

    static final short ACONST_NULL
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ICONST_M1

    static final short ICONST_M1
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ICONST_0

    static final short ICONST_0
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ICONST_1

    static final short ICONST_1
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ICONST_2

    static final short ICONST_2
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ICONST_3

    static final short ICONST_3
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ICONST_4

    static final short ICONST_4
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ICONST_5

    static final short ICONST_5
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LCONST_0

    static final short LCONST_0
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LCONST_1

    static final short LCONST_1
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FCONST_0

    static final short FCONST_0
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FCONST_1

    static final short FCONST_1
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FCONST_2

    static final short FCONST_2
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DCONST_0

    static final short DCONST_0
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DCONST_1

    static final short DCONST_1
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### BIPUSH

    static final short BIPUSH
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### SIPUSH

    static final short SIPUSH
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LDC

    static final short LDC
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LDC_W

    static final short LDC_W
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LDC2_W

    static final short LDC2_W
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ILOAD

    static final short ILOAD
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LLOAD

    static final short LLOAD
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FLOAD

    static final short FLOAD
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DLOAD

    static final short DLOAD
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ALOAD

    static final short ALOAD
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ILOAD_0

    static final short ILOAD_0
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ILOAD_1

    static final short ILOAD_1
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ILOAD_2

    static final short ILOAD_2
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ILOAD_3

    static final short ILOAD_3
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LLOAD_0

    static final short LLOAD_0
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LLOAD_1

    static final short LLOAD_1
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LLOAD_2

    static final short LLOAD_2
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LLOAD_3

    static final short LLOAD_3
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FLOAD_0

    static final short FLOAD_0
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FLOAD_1

    static final short FLOAD_1
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FLOAD_2

    static final short FLOAD_2
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FLOAD_3

    static final short FLOAD_3
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DLOAD_0

    static final short DLOAD_0
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DLOAD_1

    static final short DLOAD_1
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DLOAD_2

    static final short DLOAD_2
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DLOAD_3

    static final short DLOAD_3
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ALOAD_0

    static final short ALOAD_0
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ALOAD_1

    static final short ALOAD_1
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ALOAD_2

    static final short ALOAD_2
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ALOAD_3

    static final short ALOAD_3
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IALOAD

    static final short IALOAD
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LALOAD

    static final short LALOAD
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FALOAD

    static final short FALOAD
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DALOAD

    static final short DALOAD
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### AALOAD

    static final short AALOAD
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### BALOAD

    static final short BALOAD
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CALOAD

    static final short CALOAD
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### SALOAD

    static final short SALOAD
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ISTORE

    static final short ISTORE
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LSTORE

    static final short LSTORE
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FSTORE

    static final short FSTORE
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DSTORE

    static final short DSTORE
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ASTORE

    static final short ASTORE
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ISTORE_0

    static final short ISTORE_0
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ISTORE_1

    static final short ISTORE_1
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ISTORE_2

    static final short ISTORE_2
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ISTORE_3

    static final short ISTORE_3
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LSTORE_0

    static final short LSTORE_0
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LSTORE_1

    static final short LSTORE_1
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LSTORE_2

    static final short LSTORE_2
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LSTORE_3

    static final short LSTORE_3
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FSTORE_0

    static final short FSTORE_0
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FSTORE_1

    static final short FSTORE_1
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FSTORE_2

    static final short FSTORE_2
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FSTORE_3

    static final short FSTORE_3
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DSTORE_0

    static final short DSTORE_0
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DSTORE_1

    static final short DSTORE_1
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DSTORE_2

    static final short DSTORE_2
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DSTORE_3

    static final short DSTORE_3
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ASTORE_0

    static final short ASTORE_0
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ASTORE_1

    static final short ASTORE_1
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ASTORE_2

    static final short ASTORE_2
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ASTORE_3

    static final short ASTORE_3
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IASTORE

    static final short IASTORE
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LASTORE

    static final short LASTORE
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FASTORE

    static final short FASTORE
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DASTORE

    static final short DASTORE
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### AASTORE

    static final short AASTORE
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### BASTORE

    static final short BASTORE
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CASTORE

    static final short CASTORE
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### SASTORE

    static final short SASTORE
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### POP

    static final short POP
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### POP2

    static final short POP2
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DUP

    static final short DUP
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DUP_X1

    static final short DUP_X1
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DUP_X2

    static final short DUP_X2
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DUP2

    static final short DUP2
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DUP2_X1

    static final short DUP2_X1
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DUP2_X2

    static final short DUP2_X2
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### SWAP

    static final short SWAP
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IADD

    static final short IADD
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LADD

    static final short LADD
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FADD

    static final short FADD
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DADD

    static final short DADD
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ISUB

    static final short ISUB
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LSUB

    static final short LSUB
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FSUB

    static final short FSUB
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DSUB

    static final short DSUB
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IMUL

    static final short IMUL
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LMUL

    static final short LMUL
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FMUL

    static final short FMUL
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DMUL

    static final short DMUL
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IDIV

    static final short IDIV
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LDIV

    static final short LDIV
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FDIV

    static final short FDIV
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DDIV

    static final short DDIV
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IREM

    static final short IREM
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LREM

    static final short LREM
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FREM

    static final short FREM
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DREM

    static final short DREM
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### INEG

    static final short INEG
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LNEG

    static final short LNEG
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FNEG

    static final short FNEG
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DNEG

    static final short DNEG
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ISHL

    static final short ISHL
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LSHL

    static final short LSHL
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ISHR

    static final short ISHR
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LSHR

    static final short LSHR
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IUSHR

    static final short IUSHR
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LUSHR

    static final short LUSHR
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IAND

    static final short IAND
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LAND

    static final short LAND
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IOR

    static final short IOR
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LOR

    static final short LOR
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IXOR

    static final short IXOR
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LXOR

    static final short LXOR
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IINC

    static final short IINC
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### I2L

    static final short I2L
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### I2F

    static final short I2F
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### I2D

    static final short I2D
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### L2I

    static final short L2I
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### L2F

    static final short L2F
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### L2D

    static final short L2D
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### F2I

    static final short F2I
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### F2L

    static final short F2L
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### F2D

    static final short F2D
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### D2I

    static final short D2I
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### D2L

    static final short D2L
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### D2F

    static final short D2F
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### I2B

    static final short I2B
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### INT2BYTE

    static final short INT2BYTE
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### I2C

    static final short I2C
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### INT2CHAR

    static final short INT2CHAR
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### I2S

    static final short I2S
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### INT2SHORT

    static final short INT2SHORT
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LCMP

    static final short LCMP
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FCMPL

    static final short FCMPL
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FCMPG

    static final short FCMPG
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DCMPL

    static final short DCMPL
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DCMPG

    static final short DCMPG
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IFEQ

    static final short IFEQ
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IFNE

    static final short IFNE
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IFLT

    static final short IFLT
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IFGE

    static final short IFGE
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IFGT

    static final short IFGT
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IFLE

    static final short IFLE
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IF_ICMPEQ

    static final short IF_ICMPEQ
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IF_ICMPNE

    static final short IF_ICMPNE
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IF_ICMPLT

    static final short IF_ICMPLT
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IF_ICMPGE

    static final short IF_ICMPGE
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IF_ICMPGT

    static final short IF_ICMPGT
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IF_ICMPLE

    static final short IF_ICMPLE
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IF_ACMPEQ

    static final short IF_ACMPEQ
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IF_ACMPNE

    static final short IF_ACMPNE
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### GOTO

    static final short GOTO
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### JSR

    static final short JSR
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### RET

    static final short RET
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### TABLESWITCH

    static final short TABLESWITCH
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LOOKUPSWITCH

    static final short LOOKUPSWITCH
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IRETURN

    static final short IRETURN
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### LRETURN

    static final short LRETURN
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### FRETURN

    static final short FRETURN
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### DRETURN

    static final short DRETURN
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ARETURN

    static final short ARETURN
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### RETURN

    static final short RETURN
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### GETSTATIC

    static final short GETSTATIC
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### PUTSTATIC

    static final short PUTSTATIC
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### GETFIELD

    static final short GETFIELD
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### PUTFIELD

    static final short PUTFIELD
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### INVOKEVIRTUAL

    static final short INVOKEVIRTUAL
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### INVOKESPECIAL

    static final short INVOKESPECIAL
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### INVOKENONVIRTUAL

    static final short INVOKENONVIRTUAL
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### INVOKESTATIC

    static final short INVOKESTATIC
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### INVOKEINTERFACE

    static final short INVOKEINTERFACE
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### INVOKEDYNAMIC

    static final short INVOKEDYNAMIC
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### NEW

    static final short NEW
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### NEWARRAY

    static final short NEWARRAY
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ANEWARRAY

    static final short ANEWARRAY
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ARRAYLENGTH

    static final short ARRAYLENGTH
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ATHROW

    static final short ATHROW
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CHECKCAST

    static final short CHECKCAST
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### INSTANCEOF

    static final short INSTANCEOF
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### MONITORENTER

    static final short MONITORENTER
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### MONITOREXIT

    static final short MONITOREXIT
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### WIDE

    static final short WIDE
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### MULTIANEWARRAY

    static final short MULTIANEWARRAY
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IFNULL

    static final short IFNULL
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### IFNONNULL

    static final short IFNONNULL
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### GOTO_W

    static final short GOTO_W
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### JSR_W

    static final short JSR_W
    Deprecated.
    Java VM opcode.
    See Also:
      - Opcode definitions in The Java Virtual Machine Specification
      - Constant Field Values

  - ### BREAKPOINT

    static final short BREAKPOINT
    Deprecated.
    JVM internal opcode.
    See Also:
      - Reserved opcodes in the Java Virtual Machine Specification
      - Constant Field Values

  - ### LDC_QUICK

    static final short LDC_QUICK
    Deprecated.
    JVM internal opcode.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### LDC_W_QUICK

    static final short LDC_W_QUICK
    Deprecated.
    JVM internal opcode.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### LDC2_W_QUICK

    static final short LDC2_W_QUICK
    Deprecated.
    JVM internal opcode.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### GETFIELD_QUICK

    static final short GETFIELD_QUICK
    Deprecated.
    JVM internal opcode.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### PUTFIELD_QUICK

    static final short PUTFIELD_QUICK
    Deprecated.
    JVM internal opcode.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### GETFIELD2_QUICK

    static final short GETFIELD2_QUICK
    Deprecated.
    JVM internal opcode.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### PUTFIELD2_QUICK

    static final short PUTFIELD2_QUICK
    Deprecated.
    JVM internal opcode.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### GETSTATIC_QUICK

    static final short GETSTATIC_QUICK
    Deprecated.
    JVM internal opcode.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### PUTSTATIC_QUICK

    static final short PUTSTATIC_QUICK
    Deprecated.
    JVM internal opcode.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### GETSTATIC2_QUICK

    static final short GETSTATIC2_QUICK
    Deprecated.
    JVM internal opcode.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### PUTSTATIC2_QUICK

    static final short PUTSTATIC2_QUICK
    Deprecated.
    JVM internal opcode.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### INVOKEVIRTUAL_QUICK

    static final short INVOKEVIRTUAL_QUICK
    Deprecated.
    JVM internal opcode.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### INVOKENONVIRTUAL_QUICK

    static final short INVOKENONVIRTUAL_QUICK
    Deprecated.
    JVM internal opcode.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### INVOKESUPER_QUICK

    static final short INVOKESUPER_QUICK
    Deprecated.
    JVM internal opcode.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### INVOKESTATIC_QUICK

    static final short INVOKESTATIC_QUICK
    Deprecated.
    JVM internal opcode.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### INVOKEINTERFACE_QUICK

    static final short INVOKEINTERFACE_QUICK
    Deprecated.
    JVM internal opcode.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### INVOKEVIRTUALOBJECT_QUICK

    static final short INVOKEVIRTUALOBJECT_QUICK
    Deprecated.
    JVM internal opcode.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### NEW_QUICK

    static final short NEW_QUICK
    Deprecated.
    JVM internal opcode.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### ANEWARRAY_QUICK

    static final short ANEWARRAY_QUICK
    Deprecated.
    JVM internal opcode.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### MULTIANEWARRAY_QUICK

    static final short MULTIANEWARRAY_QUICK
    Deprecated.
    JVM internal opcode.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### CHECKCAST_QUICK

    static final short CHECKCAST_QUICK
    Deprecated.
    JVM internal opcode.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### INSTANCEOF_QUICK

    static final short INSTANCEOF_QUICK
    Deprecated.
    JVM internal opcode.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### INVOKEVIRTUAL_QUICK_W

    static final short INVOKEVIRTUAL_QUICK_W
    Deprecated.
    JVM internal opcode.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### GETFIELD_QUICK_W

    static final short GETFIELD_QUICK_W
    Deprecated.
    JVM internal opcode.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### PUTFIELD_QUICK_W

    static final short PUTFIELD_QUICK_W
    Deprecated.
    JVM internal opcode.
    See Also:
      - Specification of _quick opcodes in the Java Virtual Machine Specification (version 1)
      - Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification.
      - Constant Field Values

  - ### IMPDEP1

    static final short IMPDEP1
    Deprecated.
    JVM internal opcode.
    See Also:
      - Reserved opcodes in the Java Virtual Machine Specification
      - Constant Field Values

  - ### IMPDEP2

    static final short IMPDEP2
    Deprecated.
    JVM internal opcode.
    See Also:
      - Reserved opcodes in the Java Virtual Machine Specification
      - Constant Field Values

  - ### PUSH

    static final short PUSH
    Deprecated.
    BCEL virtual instruction for pushing an arbitrary data type onto the stack. Will be converted to the appropriate JVM opcode when the class is dumped.
    See Also:
      - Constant Field Values

  - ### SWITCH

    static final short SWITCH
    Deprecated.
    BCEL virtual instruction for either LOOKUPSWITCH or TABLESWITCH. Will be converted to the appropriate JVM opcode when the class is dumped.
    See Also:
      - Constant Field Values

  - ### UNDEFINED

    static final short UNDEFINED
    Deprecated.
    Illegal opcode.
    See Also:
      - Constant Field Values

  - ### UNPREDICTABLE

    static final short UNPREDICTABLE
    Deprecated.
    Illegal opcode.
    See Also:
      - Constant Field Values

  - ### RESERVED

    static final short RESERVED
    Deprecated.
    Illegal opcode.
    See Also:
      - Constant Field Values

  - ### ILLEGAL_OPCODE

    static final String ILLEGAL_OPCODE
    Deprecated.
    Mnemonic for an illegal opcode.
    See Also:
      - Constant Field Values

  - ### ILLEGAL_TYPE

    static final String ILLEGAL_TYPE
    Deprecated.
    Mnemonic for an illegal type.
    See Also:
      - Constant Field Values

  - ### T_BOOLEAN

    static final byte T_BOOLEAN
    Deprecated.
    Boolean data type.
    See Also:
      - Constant Field Values

  - ### T_CHAR

    static final byte T_CHAR
    Deprecated.
    Char data type.
    See Also:
      - Constant Field Values

  - ### T_FLOAT

    static final byte T_FLOAT
    Deprecated.
    Float data type.
    See Also:
      - Constant Field Values

  - ### T_DOUBLE

    static final byte T_DOUBLE
    Deprecated.
    Double data type.
    See Also:
      - Constant Field Values

  - ### T_BYTE

    static final byte T_BYTE
    Deprecated.
    Byte data type.
    See Also:
      - Constant Field Values

  - ### T_SHORT

    static final byte T_SHORT
    Deprecated.
    Short data type.
    See Also:
      - Constant Field Values

  - ### T_INT

    static final byte T_INT
    Deprecated.
    Int data type.
    See Also:
      - Constant Field Values

  - ### T_LONG

    static final byte T_LONG
    Deprecated.
    Long data type.
    See Also:
      - Constant Field Values

  - ### T_VOID

    static final byte T_VOID
    Deprecated.
    Void data type (non-standard).
    See Also:
      - Constant Field Values

  - ### T_ARRAY

    static final byte T_ARRAY
    Deprecated.
    Array data type.
    See Also:
      - Constant Field Values

  - ### T_OBJECT

    static final byte T_OBJECT
    Deprecated.
    Object data type.
    See Also:
      - Constant Field Values

  - ### T_REFERENCE

    static final byte T_REFERENCE
    Deprecated.
    Reference data type (deprecated).
    See Also:
      - Constant Field Values

  - ### T_UNKNOWN

    static final byte T_UNKNOWN
    Deprecated.
    Unknown data type.
    See Also:
      - Constant Field Values

  - ### T_ADDRESS

    static final byte T_ADDRESS
    Deprecated.
    Address data type.
    See Also:
      - Constant Field Values

  - ### TYPE_NAMES

    static final String[] TYPE_NAMES
    Deprecated.
    The primitive type names corresponding to the T_XX constants, for example, TYPE_NAMES[T_INT] = "int"

  - ### CLASS_TYPE_NAMES

    static final String[] CLASS_TYPE_NAMES
    Deprecated.
    The primitive class names corresponding to the T_XX constants, for example, CLASS_TYPE_NAMES[T_INT] = "java.lang.Integer"

  - ### SHORT_TYPE_NAMES

    static final String[] SHORT_TYPE_NAMES
    Deprecated.
    The signature characters corresponding to primitive types, for example, SHORT_TYPE_NAMES[T_INT] = "I"

  - ### NO_OF_OPERANDS

    static final short[] NO_OF_OPERANDS
    Deprecated.
    Number of byte code operands for each opcode, that is, number of bytes after the tag byte itself. Indexed by opcode, so NO_OF_OPERANDS[BIPUSH] = the number of operands for a bipush instruction.

  - ### TYPE_OF_OPERANDS

    static final short[][] TYPE_OF_OPERANDS
    Deprecated.
    How the byte code operands are to be interpreted for each opcode. Indexed by opcode. TYPE_OF_OPERANDS[ILOAD] = an array of shorts describing the data types for the instruction.

  - ### OPCODE_NAMES

    static final String[] OPCODE_NAMES
    Deprecated.
    Names of opcodes. Indexed by opcode. OPCODE_NAMES[ALOAD] = "aload".

  - ### CONSUME_STACK

    static final int[] CONSUME_STACK
    Deprecated.
    Number of words consumed on operand stack by instructions. Indexed by opcode. CONSUME_STACK[FALOAD] = number of words consumed from the stack by a faload instruction.

  - ### PRODUCE_STACK

    static final int[] PRODUCE_STACK
    Deprecated.
    Number of words produced onto operand stack by instructions. Indexed by opcode. CONSUME_STACK[DALOAD] = number of words consumed from the stack by a daload instruction.

  - ### ATTR_UNKNOWN

    static final byte ATTR_UNKNOWN
    Deprecated.
    Attribute constant: Unknown.
    See Also:
      - Constant Field Values

  - ### ATTR_SOURCE_FILE

    static final byte ATTR_SOURCE_FILE
    Deprecated.
    Attribute constant: SourceFile.
    See Also:
      - Constant Field Values

  - ### ATTR_CONSTANT_VALUE

    static final byte ATTR_CONSTANT_VALUE
    Deprecated.
    Attribute constant: ConstantValue.
    See Also:
      - Constant Field Values

  - ### ATTR_CODE

    static final byte ATTR_CODE
    Deprecated.
    Attribute constant: Code.
    See Also:
      - Constant Field Values

  - ### ATTR_EXCEPTIONS

    static final byte ATTR_EXCEPTIONS
    Deprecated.
    Attribute constant: Exceptions.
    See Also:
      - Constant Field Values

  - ### ATTR_LINE_NUMBER_TABLE

    static final byte ATTR_LINE_NUMBER_TABLE
    Deprecated.
    Attribute constant: LineNumberTable.
    See Also:
      - Constant Field Values

  - ### ATTR_LOCAL_VARIABLE_TABLE

    static final byte ATTR_LOCAL_VARIABLE_TABLE
    Deprecated.
    Attribute constant: LocalVariableTable.
    See Also:
      - Constant Field Values

  - ### ATTR_INNER_CLASSES

    static final byte ATTR_INNER_CLASSES
    Deprecated.
    Attribute constant: InnerClasses.
    See Also:
      - Constant Field Values

  - ### ATTR_SYNTHETIC

    static final byte ATTR_SYNTHETIC
    Deprecated.
    Attribute constant: Synthetic.
    See Also:
      - Constant Field Values

  - ### ATTR_DEPRECATED

    static final byte ATTR_DEPRECATED
    Deprecated.
    Attribute constant: Deprecated.
    See Also:
      - Constant Field Values

  - ### ATTR_PMG

    static final byte ATTR_PMG
    Deprecated.
    Attribute constant: PMG.
    See Also:
      - Constant Field Values

  - ### ATTR_SIGNATURE

    static final byte ATTR_SIGNATURE
    Deprecated.
    Attribute constant: Signature.
    See Also:
      - Constant Field Values

  - ### ATTR_STACK_MAP

    static final byte ATTR_STACK_MAP
    Deprecated.
    Attribute constant: StackMap.
    See Also:
      - Constant Field Values

  - ### ATTR_RUNTIMEVISIBLE_ANNOTATIONS

    static final byte ATTR_RUNTIMEVISIBLE_ANNOTATIONS
    Deprecated.
    Attribute constant for runtime visible annotations.
    See Also:
      - Constant Field Values

  - ### ATTR_RUNTIMEINVISIBLE_ANNOTATIONS

    static final byte ATTR_RUNTIMEINVISIBLE_ANNOTATIONS
    Deprecated.
    Attribute constant for runtime invisible annotations.
    See Also:
      - Constant Field Values

  - ### ATTR_RUNTIMEVISIBLE_PARAMETER_ANNOTATIONS

    static final byte ATTR_RUNTIMEVISIBLE_PARAMETER_ANNOTATIONS
    Deprecated.
    Attribute constant for runtime visible parameter annotations.
    See Also:
      - Constant Field Values

  - ### ATTR_RUNTIMEINVISIBLE_PARAMETER_ANNOTATIONS

    static final byte ATTR_RUNTIMEINVISIBLE_PARAMETER_ANNOTATIONS
    Deprecated.
    Attribute constant for runtime invisible parameter annotations.
    See Also:
      - Constant Field Values

  - ### ATTR_ANNOTATION_DEFAULT

    static final byte ATTR_ANNOTATION_DEFAULT
    Deprecated.
    Attribute constant for annotation default.
    See Also:
      - Constant Field Values

  - ### KNOWN_ATTRIBUTES

    static final short KNOWN_ATTRIBUTES
    Deprecated.
    Count of known attributes.
    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_NAMES

    static final String[] ATTRIBUTE_NAMES
    Deprecated.
    Array of attribute names.

  - ### ITEM_Bogus

    static final byte ITEM_Bogus
    Deprecated.
    Item type: Bogus.
    See Also:
      - Constant Field Values

  - ### ITEM_Integer

    static final byte ITEM_Integer
    Deprecated.
    Item type: Integer.
    See Also:
      - Constant Field Values

  - ### ITEM_Float

    static final byte ITEM_Float
    Deprecated.
    Item type: Float.
    See Also:
      - Constant Field Values

  - ### ITEM_Double

    static final byte ITEM_Double
    Deprecated.
    Item type: Double.
    See Also:
      - Constant Field Values

  - ### ITEM_Long

    static final byte ITEM_Long
    Deprecated.
    Item type: Long.
    See Also:
      - Constant Field Values

  - ### ITEM_Null

    static final byte ITEM_Null
    Deprecated.
    Item type: Null.
    See Also:
      - Constant Field Values

  - ### ITEM_InitObject

    static final byte ITEM_InitObject
    Deprecated.
    Item type: InitObject.
    See Also:
      - Constant Field Values

  - ### ITEM_Object

    static final byte ITEM_Object
    Deprecated.
    Item type: Object.
    See Also:
      - Constant Field Values

  - ### ITEM_NewObject

    static final byte ITEM_NewObject
    Deprecated.
    Item type: NewObject.
    See Also:
      - Constant Field Values

  - ### ITEM_NAMES

    static final String[] ITEM_NAMES
    Deprecated.
    Array of item type names.